# -*- coding: utf-8 -*-
from .base import ApiJob
from django.http import HttpResponse
from json import dumps


class JobConsole(ApiJob):
    """
    Это уже не используется, раньше сюда танк слал сниппет консольного вывода
    Оставил в качестве заглушки для древних танков, которые могут быть у пользователей
    """

    http_method_names = ['get', 'post']

    @staticmethod
    def post(_, __):
        """
        :param _: HTTP request
        :param __: job OBJECT
        """
        return HttpResponse(dumps([{'success': True}]), content_type='application/json')

    @staticmethod
    def get(_, __):
        """
        :param _: HTTP request
        :param __: job OBJECT
        """
        return HttpResponse('', content_type='text/plain; charset=UTF-8')
